
link:
  inputs:
    - assemble:
       source: startup_m3.asm
       machine: thumb
    - compile:
       sources: ['src/kernel.c3', 'src/syscall.c3', 'src/schedule.c3', 
            'arch/cortexm3.c3', 'src/io.c3', 'src/memory.c3',
            'src/process.c3',
            'arch/qemu_m3/archmem.c3'
            ]
       machine: thumb
  layout:
     code: 0x10000
     data: 0x20000000
  output: kernel_thumb.bin

